% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create_entity_regex.R
\name{create_entity_regex}
\alias{create_entity_regex}
\title{Create entity Name Regex Pattern}
\usage{
create_entity_regex(names)
}
\arguments{
\item{names}{A character vector of entity names.}
}
\value{
A character string containing the combined regex pattern.
}
\description{
Creates a regular expression pattern from one or more entity names,
following standardized rules for flexible matching. The function converts
each input name to lowercase, escapes special regex characters, and replaces
spaces with a flexible whitespace pattern (\verb{.?}). The individual patterns
are then joined with the pipe operator (\code{|}) to produce a regex that matches
any of the supplied names.
}
\keyword{internal}
